unit Main;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs,
  XData.Server.Module,
  Sparkle.HttpServer.Module, Sparkle.HttpServer.Context, Aurelius.Sql.MSSQL,
  Aurelius.Schema.MSSQL, Aurelius.Drivers.Interfaces,
  XData.Comp.ConnectionPool, Aurelius.Comp.Connection, Sparkle.Comp.Server,
  Sparkle.Comp.CorsMiddleware, XData.Comp.Server,
  Sparkle.Comp.HttpSysDispatcher,
  Data.DB, Vcl.StdCtrls,
  Aurelius.Sql.Sqlite,
  Aurelius.Schema.Sqlite, Aurelius.Drivers.SQLite;

type
  TfrmMain = class(TForm)
    dispWeb: TSparkleHttpSysDispatcher;
    XDataServer: TXDataServer;
    XDataServerCORS: TSparkleCorsMiddleware;
    AureliusConnection: TAureliusConnection;
    XDataConnectionPool: TXDataConnectionPool;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.dfm}

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  AureliusConnection.Params.Values['Database']:=ExtractFilePath(Application.ExeName)+'Dati.db3';
  dispWeb.Active:=True;
end;

procedure TfrmMain.FormDestroy(Sender: TObject);
begin
  dispWeb.Active:=False;
end;

end.
